<?php
include 'system/bd.php';
include 'system/cook.php';
include ("system/gzip.php");
if(isset($_SESSION['auth']) && $_SESSION['auth']==1){
include 'system/head.php';
include 'system/user.php';

$mail=true;





	switch($_GET['act']){
	case 'in'://Входящие
echo' <div class="title">Почта</div> ';
echo '<div class="empty_block">
	'.($_GET['act']!='all'?'<a href="?act=all">Все</a>':'Все').' 

| '.($_GET['act']!='in'?'<a href="?act=in">Входящие</a>':'Входящие').' 
	| '.($_GET['act']!='out'?'<a href="?act=out">Исходящие</a>':'Исходящие').'
</div>';
		$cop=10;
$ca=mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `to`='".$user['id']."'"),0);

$cp=ceil($ca/$cop);

if(isset($_GET['page']) && is_numeric($_GET['page'])){

$page = $_GET['page'];

if($_GET['page']>$cp) $page=$cp;

if($_GET['page']<1)$page=1;

}else{

$page=1;

}

$start=$page*$cop-$cop;
	if ($ca==0){
	echo '
<div class="empty_block del_bottom item_center">
 Нет сообщений</div>	';
}
$dlist = 'list1';
$q=mysql_query("SELECT * FROM `mail` WHERE `to`='".$user['id']."' ORDER BY `id` DESC LIMIT $start,$cop");
while ($result=mysql_fetch_assoc($q)){

$_user = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id`='".$result['user']."'"));

echo' <div class="block_link">
<a href="?act=msg&id='.$result['id'].'"> ';
if ($result['read']==0){
echo' [+]';
}else{
echo' [-]';
}
$d = time()-7000;
if($_user[online] < $d) { 
echo" от <img src='img/user/icons/".$_user[storona]."_".$_user[rasa]."_off.png'>"; 
}else{
echo" от <img src='img/user/icons/".$_user[storona]."_".$_user[rasa].".png'>";
}
echo ''.$_user['login'].'';
if($_user[prava] == '3' ){
echo "<font color='orange'> [Админ] </font> ";}
if($_user[prava] == '2' ){
echo "<font color='lime'> [Модератор] </font> ";}
if($_user[prava] == '1' ){
echo "<font color='yellow'> [Консультант] </font> ";}

if($_user[id] == '2' ){
echo "<font color='orange'> [Системный робот] </font> ";}
echo'</a></div>';
}



echo' <div class="lines"></div> ';
echo' <div class="line"></div> ';
echo '<div class="block_link"> 
<a href="?act=del_in">
<img src="/img/images/del.png" alt="*"/> Удалить все прочитаные</a></div>';
echo' <div class="line"></div> ';


echo '
<div class="empty_block top pagi item_center"> ';

if($page-1>0){

echo '<a href="?act=in&page='.($page-1).'">&lt;</a> ';

}

if($page-1>0){

echo '<a href="?act=in&page='.($page-1).'">'.($page-1).'</a> ';

}

echo '<b>'.$page.'</b>';

if($page+1<=$cp){

echo ' <a href="?act=in&page='.($page+1).'">'.($page+1).'</a>';

}

if($page+1<=$cp){

echo ' <a href="?act=in&page='.($page+1).'">&gt;</a>';

}
echo '</div>';
	break;
///
  case'new':
echo' <div class="title">Почта</div> ';
echo '<div class="empty_block">
	'.($_GET['act']!='all'?'<a href="?act=all">Все</a>':'Все').' 

| '.($_GET['act']!='in'?'<a href="?act=in">Входящие</a>':'Входящие').' 
	| '.($_GET['act']!='out'?'<a href="?act=out">Исходящие</a>':'Исходящие').'
	| '.($_GET['act']!='new'?'<a href="?act=new">Новые</a>':'Новые').'
</div>';

	$cop=10;

$ca=mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `read`='0' and `to`='".$user['id']."'"),0);

$cp=ceil($ca/$cop);

if(isset($_GET['page']) && is_numeric($_GET['page'])){

$page = $_GET['page'];

if($_GET['page']>$cp) $page=$cp;

if($_GET['page']<1)$page=1;

}else{

$page=1;

}

$start=$page*$cop-$cop;
	if ($ca==0){
	echo '
<div class="empty_block del_bottom item_center">
 Нет сообщений </div>	';
}
$dlist = 'list1';
$q=mysql_query("SELECT * FROM `mail` WHERE `read`='0' and  `to`='".$user['id']."' ORDER BY `id` DESC LIMIT $start,$cop");
while ($result=mysql_fetch_assoc($q)){

$_user = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id`='".$result['user']."'"));



echo '<div class="block_link">
<a href="?act=msg&id='.$result['id'].'">';

if ($result['read']==0){
	echo '[+] от ';
}
$d = time()-7000;
if($_user[online] < $d) { 
echo" <img src='img/user/icons/".$_user[storona]."_".$_user[rasa]."_off.png'>"; 
}else{
echo" <img src='img/user/icons/".$_user[storona]."_".$_user[rasa].".png'>";
}

echo ' '.$_user['login'].' ';

if($_user[prava] == '3' ){
echo "<font color='orange'> [Админ] </font> ";}
if($_user[prava] == '2' ){
echo "<font color='lime'> [Модератор] </font> ";}
if($_user[prava] == '1' ){
echo "<font color='yellow'> [Консультант] </font> ";}

if($_user[id] == '2' ){
echo "<font color='orange'> [Системный робот] </font> ";}
echo'</a></div>';

}


echo '
<div class="empty_block top pagi item_center"> ';

if($page-1>0){

echo '<a href="?act=new&page='.($page-1).'">&lt;</a> ';

}

if($page-1>0){

echo '<a href="?act=new&page='.($page-1).'">'.($page-1).'</a> ';

}

echo '<b>'.$page.'</b>';

if($page+1<=$cp){

echo ' <a href="?act=new&page='.($page+1).'">'.($page+1).'</a>';

}

if($page+1<=$cp){

echo ' <a href="?act=new&page='.($page+1).'">&gt;</a>';

}

echo '</div>';
break;
///
	case 'del_in' :
echo' <div class="title">Почта</div> ';
	mysql_query("DELETE FROM `mail` WHERE `to`='".$user['id']."' AND `read`='1'");
echo ' <div class="empty_block del_bottom item_center">
 Все исходящие сообщения удалены</div>';
echo'<div class="line"></div>';
echo'<div class="block_link">';
	echo ' <a href="?"><img src="/img/foot/index.png" alt="*"/> Почта</a></div>';
	break;
//
	case 'del_all' :
echo' <div class="title">Почта</div> ';
	mysql_query("DELETE FROM `mail` WHERE `to`='".$user['id']."' OR `user`='".$user['id']."'");
	 echo ' <div class="empty_block del_bottom item_center">
 Все сообщения удалены</div>';
echo'<div class="line"></div>';
echo'<div class="block_link">';
	echo ' <a href="?"><img src="/img/foot/index.png" alt="*"/> Почта</a></div>';
	break;
//
	case 'del_out' :
echo' <div class="title">Почта</div> ';
	mysql_query("DELETE FROM `mail` WHERE `user`='".$user['id']."'");
	echo ' <div class="empty_block del_bottom item_center">
 Все исходящие сообщения удалены</div>';
echo'<div class="line"></div>';
echo'<div class="block_link">';
	echo ' <a href="?"><img src="/img/foot/index.png" alt="*"/> Почта</a></div>';
	break;
//
	case 'out':
echo' <div class="title">Почта</div> ';
echo '<div class="empty_block">
	'.($_GET['act']!='all'?'<a href="?act=all">Все</a>':'Все').' 
| '.($_GET['act']!='in'?'<a href="?act=in">Входящие</a>':'Входящие').' 
	| '.($_GET['act']!='out'?'<a href="?act=out">Исходящие</a>':'Исходящие').'
</div>';

	$cop=10;

$ca=mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `user`='".$user['id']."'"),0);

$cp=ceil($ca/$cop);

if(isset($_GET['page']) && is_numeric($_GET['page'])){

$page = $_GET['page'];

if($_GET['page']>$cp) $page=$cp;

if($_GET['page']<1)$page=1;

}else{

$page=1;

}

$start=$page*$cop-$cop;
		if ($ca==0){
	echo '
<div class="empty_block del_bottom item_center"> Нет сообщений</div>	';
}
$dlist = 'list1';
$q=mysql_query("SELECT * FROM `mail` WHERE `user`='".$user['id']."' ORDER BY `id` DESC LIMIT $start,$cop");
while ($result=mysql_fetch_assoc($q)){
echo '';
$_user = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id`='".$result['to']."'"));


echo' <div class="block_link">
<a href="?act=msg&id='.$result['id'].'"> ';
if ($result['read']==0){
echo' [+]';
}else{
echo' [-]';
}
$d = time()-7000;
if($_user[online] < $d) { 
echo" для <img src='img/user/icons/".$_user[storona]."_".$_user[rasa]."_off.png'>"; 
}else{
echo" для <img src='img/user/icons/".$_user[storona]."_".$_user[rasa].".png'>";
}
echo ''.$_user['login'].'';
if($_user[prava] == '3' ){
echo "<font color='orange'> [Админ] </font> ";}
if($_user[prava] == '2' ){
echo "<font color='lime'> [Модератор] </font> ";}
if($_user[prava] == '1' ){
echo "<font color='yellow'> [Консультант] </font> ";}

if($_user[id] == '2' ){
echo "<font color='orange'> [Системный робот] </font> ";}
echo'</a></div>';
}

echo' <div class="lines"></div> ';
echo' <div class="line"></div> ';
echo '<div class="block_link"> 
<a class="link" href="?act=del_out">
<img src="/img/images/del.png" alt="*"/> Удалить все исходящие</a></div>';
echo' <div class="line"></div> ';

echo ' <div class="empty_block top pagi item_center"> ';

if($page-1>0){

echo '<a href="?act=out&page='.($page-1).'">&lt;</a> ';

}

if($page-1>0){

echo '<a href="?act=out&page='.($page-1).'">'.($page-1).'</a> ';

}

echo '<b>'.$page.'</b>';

if($page+1<=$cp){

echo ' <a href="?act=out&page='.($page+1).'">'.($page+1).'</a>';

}

if($page+1<=$cp){

echo ' <a href="?act=out&page='.($page+1).'">&gt;</a>';

}

	echo '</div>';
	break;

default:
echo' <div class="title">Почта</div> ';
echo '<div class="empty_block">
	'.($_GET['act']!='all'?'<a href="?act=all">Все</a>':'Все').' 
| '.($_GET['act']!='in'?'<a href="?act=in">Входящие</a>':'Входящие').' 
	| '.($_GET['act']!='out'?'<a href="?act=out">Исходящие</a>':'Исходящие').'
</div>';

$cop=10;

$ca=mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `user`='".$user['id']."' OR `to`='".$user['id']."'"),0);

$cp=ceil($ca/$cop);

if(isset($_GET['page']) && is_numeric($_GET['page'])){

$page = $_GET['page'];

if($_GET['page']>$cp) $page=$cp;

if($_GET['page']<1)$page=1;

}else{

$page=1;

}

$start=$page*$cop-$cop;
		if ($ca==0){
	echo '
<div class="empty_block del_bottom item_center"> Нет сообщений </div>	';
}
$dlist = 'list1';
$q=mysql_query("SELECT * FROM `mail` WHERE `user`='".$user['id']."' OR `to`='".$user['id']."' ORDER BY `id` DESC LIMIT $start,$cop");
while ($result=mysql_fetch_assoc($q)){
echo '';
if ($result['user']==$user['id']){
$_user = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id`='".$result['to']."'"));
}else{
	$_user = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id`='".$result['user']."'"));
}

echo '<div class="block_link">
<a href="?act=msg&id='.$result['id'].'"> ';
if ($result['read']==0){
echo' [+] ';
}else{
echo' [-] ';
}
if ($result['to']==$user[id]){
echo' от ';
}else{
echo' для ';
}

$t = time()-7000;
if($_user[online] < $t) { 
echo"<img src='img/user/icons/".$_user[storona]."_".$_user[rasa]."_off.png'>"; 
}else{
echo"<img src='img/user/icons/".$_user[storona]."_".$_user[rasa].".png'>";
}
echo' '.$_user['login'].'';
if($_user[prava] == '3' ){
echo "<font color='orange'> [Админ] </font> ";}
if($_user[prava] == '2' ){
echo "<font color='lime'> [Модератор] </font> ";}
if($_user[prava] == '1' ){
echo "<font color='yellow'> [Консультант] </font> ";}

if($_user[id] == '2' ){
echo "<font color='orange'> [Системный робот] </font> ";}
echo'</a></div>';

}	


echo' <div class="line"></div> ';
echo '<div class="block_link"> 
<a class="link" href="?act=del_all">
<img src="/img/images/del.png" alt="*"/> Удалить все сообщения</a></div>';
echo' <div class="line"></div> ';

echo ' <div class="empty_block top pagi item_center"> ';
if($page-1>0){

echo '<a href="?page='.($page-1).'">&lt;</a> ';

}

if($page-1>0){

echo '<a href="?page='.($page-1).'">'.($page-1).'</a> ';

}

echo '<b>'.$page.'</b>';

if($page+1<=$cp){

echo ' <a href="?page='.($page+1).'">'.($page+1).'</a>';

}

if($page+1<=$cp){

echo ' <a href="?page='.($page+1).'">&gt;</a>';

}
echo '</div>';


	break;
	

	case 'msg':

$req = mysql_query("SELECT * FROM `block`  WHERE `usr`='$user[id]' and `ban_time`>'$time' and `tip` = '1' ");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo' <div class="title">Ошибка </div>
<div class="empty_block item_center">На вашего персонажа наложена молчанка, вы не можете писать сообщения </div>';
echo'<div class="block_link">';
	echo '<a href="mails.php"> <img src="/img/foot/index.png" alt="*"/> Почта</a></div>';
include 'system/foot.php';
exit;
}}


	if (isset($_GET['id'])){
		if (mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `id`='".intval($_GET['id'])."' AND (`user`='".$user['id']."' OR `to`='".$user['id']."')"),0)){
			$msg=mysql_fetch_assoc(mysql_query("SELECT * FROM `mail` WHERE `id`='".intval($_GET['id'])."'"));
			if ($msg['read']==0 AND $msg['user']!=$user['id']){
				mysql_query("UPDATE `mail` SET `read`='1' WHERE `id`='".$msg['id']."'");
			}
			if ($msg['user']==$user['id']){




$req1 = mysql_query("SELECT `id`,`login`,`online`,`storona`,`rasa`,`prava` FROM `user` WHERE `id` = '".$msg['to']."'");
$pic = mysql_fetch_array($req1);

echo" <div class='title'> Сообщение для $pic[login]</div>";
echo' <div class="chat">';
$t = time()-7000;
if($pic[online] < $t) { 
echo"<img src='img/user/icons/".$pic[storona]."_".$pic[rasa]."_off.png'>"; 
}else{
echo"<img src='img/user/icons/".$pic[storona]."_".$pic[rasa].".png'>";
}

echo' <a href="/users.php?id='.$msg['to'].'">'.$pic[login].'</a> ';

				 if($pic[prava] == '3' ){
echo "<font color='orange'> [Админ] </font> ";}
if($pic[prava] == '2' ){
echo "<font color='lime'> [Модератор] </font> ";}
if($pic[prava] == '1' ){
echo "<font color='yellow'> [Консультант] </font> ";}

if($pic[id] == '2' ){
echo "<font color='orange'> [Системный робот] </font> ";}

				
			}else{

$req = mysql_query("SELECT `id`,`login`,`online`,`rasa`,`storona`,`prava` FROM `user` WHERE `id` = '".$msg['user']."'");
$pic = mysql_fetch_array($req);

echo" <div class='title'> Сообщение от $pic[login]</div>";
echo '<div class="chat">';
$t = time()-7000;
if($pic[online] < $t) { 
echo"<img src='img/user/icons/".$pic[storona]."_".$pic[rasa]."_off.png'>"; 
}else{
echo"<img src='img/user/icons/".$pic[storona]."_".$pic[rasa].".png'>";

}

echo ' <a href="users.php?id='.$msg['user'].'"> '.$pic['login'].' 
</a>';
if($pic[prava] == '3' ){
echo "<font color='orange'> [Админ] </font> ";}
if($pic[prava] == '2' ){
echo "<font color='lime'> [Модератор] </font> ";}
if($pic[prava] == '1' ){
echo "<font color='yellow'> [Консультант] </font> ";}

if($pic[id] == '2' ){
echo "<font color='orange'> [Системный робот] </font> ";}

echo'
<a href="?act=dhelp&id='.$msg['id'].'"><img src="/img/images/del.png"></a> ';

}

	
//
if($pic[prava] == '3' ){
echo "<font color='orange'></br> $msg[msg] </font> ";
}else{
if($pic[prava] == '2' ){
echo "<font color='lime'></br> $msg[msg] </font> ";
}else{
if($pic[prava] == '1' ){
echo "<font color='yellow'> </br> $msg[msg] </font> ";
}else{

if($pic[id] == '2' ){
echo "<font color='orange'> </br>
$msg[msg] </font> ";
}else{

	echo '</br> <span class="role0">';
			echo smiles(htmlspecialchars(stripslashes($msg['msg']))).'';
echo '</font>';
}}}
}
$d = time()-$msg['time'];
			echo '</br> <small> ('.sec2day($d).' назад) </small>
</span></div></div>';
//
			if ($msg['user']!=$user['id']){
			echo ' <div class="line"> </div>
<div class="empty_block del_bottom item_center">
<form method="post" action="?act=mesg&user='.$msg['user'].'">';
			 echo' сообщение</br>';
			echo '<textarea name="help" cols="25" rows="2"></textarea><br />';
			echo '<input type="submit" class="button" value="Ответить">';
			echo '</form></div>';
		
			}

echo'<div class="line"></div>';
	echo ' <div class="block_link"> <a href="?"><img src="/img/images/arrow.png" alt="*"/> Почта</a></div>';
		}else{
			header("Location: ?");
			exit;
		}
	}else{
		header("Location: ?");
		exit;
	}


	break;
	case 'dhelp':
	if (isset($_GET['id'])){
		if (mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `id`='".intval($_GET['id'])."' AND (`user`='".$user['id']."' OR `to`='".$user['id']."')"),0)){
			$msg=mysql_fetch_assoc(mysql_query("SELECT * FROM `mail` WHERE `id`='".intval($_GET['id'])."'"));
			mysql_query("DELETE FROM `mail` WHERE `id`='".$msg['id']."'");
	 echo '<div class="title">Почта </div>';
		echo '<div class="empty_block item_center"> Сообщение успешно удалено</div>';
echo'<div class="block_link">';
	echo ' <a href="?"><img src="/img/foot/index.png" alt="*"/> Почта</a></div>';
		}else{
			header("Location: ?");
			exit;
		}
	}else{
		header("Location: ?");
		exit;
	}


break;
	case 'mesg':

	if (isset($_GET['user'])){
		if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id`='".intval($_GET['user'])."'"),0)){
			if (isset($_POST['help'])){
				$_POST['msg'] = trim($_POST['help']);

if(!empty($_POST['msg'])){


$faq = mysql_query("SELECT * FROM `config`");
$base = mysql_fetch_array($faq);
if(strlen($user[lvl]<$base[mail_lvl])) $help[]='<center>Писать сообщения доступно с '.$base[mail_lvl].' уровня.</center>';


if(strlen($_POST['msg'])>3000) $help[]='<center>Слишком длинное сообщение!</center>';

if(strlen($_POST['msg'])<3) $help[]='<center>Слишком короткое сообщение!</center>';

}else{

$help[]='<center>Пустое сообщение!</center>';

}





$req = mysql_query("SELECT * FROM `block`  WHERE `usr`='$user[id]' and `ban_time`>'$time' and `tip` = '1' ");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo'<div class="title"> Ошибка </div> <div class="empty_block item_center">На вашего персонажа наложена молчанка, вы не можете писать сообщения </div>';
echo'<div class="block_link">';
	echo '<a href="mails.php"> <img src="/img/foot/index.png" alt="*"/> Почта</a></div>';
include 'system/foot.php';
exit;
}}

if($_GET[user]==$user[id]){
echo ' <div class="title">Ошибка </div> <div class="empty_block item_center"> Себе писать сообщения нельзя</div>';
exit;
}



if(!$help){

$msg = mysql_real_escape_string($_POST['msg']);

$msg = $msg;

mysql_query("INSERT INTO `mail`(`user`,`msg`,`time`,`to`,`read`) VALUES('".$user['id']."','$msg','".time()."','".intval($_GET['user'])."','0')");
echo ' <div class="title">Почта </div> <div class="empty_block item_center"> Сообщение успешно отправлено </div>';

echo'<div class="block_link">';
	echo ' <a href="?"><img src="/img/foot/index.png" alt="*"/> Почта</a></div>';
include 'system/foot.php';
exit;

}else{

foreach($help as $value){

echo '
<div class="help">'.$value.'</div>

';

}
}
}





$req = mysql_query("SELECT * FROM `block`  WHERE `usr`='$user[id]' and `ban_time`>'$time' and `tip` = '1' ");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo' <div class="title"> Ошибка </div> <div class="empty_block item_center">На вашего персонажа наложена молчанка, вы не можете писать сообщения </div>';
echo'<div class="block_link">';
	echo '<a href="mails.php"> <img src="/img/foot/index.png" alt="*"/> Почта</a></div>';
include 'system/foot.php';
exit;
}}

if($_GET[user]==$user[id]){
echo ' <div class="title">Ошибка </div> <div class="empty_block item_center"> Себе писать сообщения нельзя</div>';
include 'system/foot.php';
exit;
}



		
			echo ' <div class="title"> Письмо для: '.mysql_result(mysql_query("SELECT `login` FROM `user` WHERE `id`='".intval($_GET['user'])."'"),0);
			echo '</div> <div class="empty_block del_bottom item_center"> ';
			echo '<form method="post" action="">';
			echo 'Сообщение:<br />';
			echo '<textarea name="help" cols="25" rows="2"> </textarea><br />';
			echo '<input type="submit" class="button" value="Отправить">';
			echo '</form></div>';

echo'<div class="line"></div>';
echo'<div class="block_link">';
	echo ' <a href="?"><img src="/img/foot/index.png" alt="*"/> Почта</a></div>';
		}else{
			header("Location: ?");
			exit;
		}
	}else{
		header("Location: ?");
		exit;
	}

	break;
	}




}else{
header ("Location: index.php"); exit;
}
include 'system/foot.php';
?>
